Confirm a payout that was created with confirm = false, submitting it for processing
Confirm a payout that was created with confirm = false, submitting it for processing
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
payout id
Response
ok
Flag to indicate whether the payment is a test transaction (i.e. from/to a test bank, live=false) or a live transaction (i.e. from/to a real bank, live=true).
Amount of the payout (in minor currency unit)
Timestamp when the payout was first created
Currency of the payout (e.g. HKD)
Details on why the payout failed (returned when status = FAILED). Note: this is used to detail any asynchronous e errors occuring after payout creation; any synchronous errors (e.g. API validation errors, real-time payout errors) will instead be returned directly during POST /payouts.
Details on the fee(s) to be charged
Customer-supplied attributes in key:value format. E.g. employer_name: Apple Inc
Details on the payout
Finverse Payout ID for this payout. Always unique. Creating a payout with different idempotency keys will result in two payouts with different IDs.
Details on the recipient of the payout Note: In some cases when the payout has been executed by a 3rd party payment gateway, the recipient may not be known.
Details on the account receiving the payout Note: In some cases when the payout has been executed by a 3rd party payment gateway, the recipient account may not be known.
Details on the sender of the payout
Details on the Sender's account at Finverse (i.e. the Customer App's settlement account at Finverse)
Current status of the payout. Possible values: CREATED, FUNDED, PROCESSING, SUBMITTED, EXECUTED, CANCELLED, FAILED
EXECUTED, CREATED, PROCESSING, PROCESSING_FUNDS, CANCELLED, FAILED, FUNDED, SUBMITTED [DEPRECATED] Transaction date
Date/time at which the payout was confirmed as executed. The actual settlement date/time of the payout may be different. In addition, a payout may be recorded at different times on the bank accounts of the sender vs. the recipient. Note: in some cases, the transaction date will be known, but the specific transaction time may not be known. In these cases, the transaction time will be listed as YYYY-MM-DDT00:00:00Z (or another fixed time value).
"2025-08-22T12:00:00Z"
Specified payout type. Possible values: MANUAL, SCHEDULED, SETTLEMENT
MANUAL, SCHEDULED, SETTLEMENT Timestamp of the last update to the payout's record